Subject: Re: FVWM: Scared to upgrade

From: Bertie <[email-masked]>
Date: Mon, 20 Nov 2000 10:08:37 +0000

You and Dan Aspen are absolutely right - I now use rxvt instead of
xterm, Midnight
Commander instead of xvf. I still use fvwm95.
Thanks to you both.

Rainer Koehler wrote:
> 
> Bertie  writes:
> 
> > I use Slackware 7 with fvwm95-2.0.43b.
> 
> > It is fine on the whole but I think I have discovered a bug with
> > scrolling: I cannot mouse-drag the scroller thumb on the left of any
> > xterm shell window. Sometimes, but not always I can scroll with
> > SHIFT+PAGEUP and SHIFT+PAGEDOWN. This has not bothered me in the past
> > but now I want to use XFM and
> > double click on, say, an image file and get it displayed under an
> > appropriate viewer that I can configure with $HOME/.xfm/xfmrc. But for
> > this to be of any use I need to be able to scroll through some rather
> > large directories.
> 
> To me, this sounds like the standard behaviour of old X applications
> like xterm, xfm, and friends.  Their scrollbars do not behave like
> scrollbars in Motif, tcl/tk, and so on.  Instead, you click with the
> left mouse button to scroll down, right mouse button to scroll ab, and
> you can drag with the *middle* mouse button.
> 
> If you want a standard scrollbar, try rxvt instead of xterm.  Of
> course, this won't help with xfm.
> 
> > So the questions are (1) Will upgrading cure the bug?
> 
> Upgrading fvwm won't help, since this is not an window manager
> problem.  Window managers manage windows, not their contents.
> 
> > (2) Can I upgrade just by downloading and installing a later version
> > without first uninstalling the existing version?
> 
> If you install from the source, you should be able to specify
> different directories for the modules and the manpages.  On SuSE
> systems, you can have fvwm1 and fvwm2 at the same time.
> 
> > (3) What precautions do I need to take about my existing
> > configuration files such as the .fvm95rc files?
> 
> Make a backup copy before you start fiddling with it.  But since the
> name of the new config file is .fvwm2rc, even this shouldn't be
> necessary.
> 
> Hope this helps,
> Rainer
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].